org.gnome.gdk

## Class EventMotion

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event
      - - org.gnome.gdk.EventMotion

-     public final class EventMotion
      extends Event

  Event data describing the position of the mouse in the screen, when it is moved over a Widget.
  Since:
    4.0.15
  Author:
    Vreixo Formoso

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getX()` Get the horizontal location that this Event occured at, relative to the `[org.gnome.gdk]` Window.
    `double` | `getY()` Get the vertical location that this Event occured at, relative to the `[org.gnome.gdk]` Window.

    - ### Methods inherited from class org.gnome.gdk.Event

      `getType, getWindow`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getX

          public double getX()

      Get the horizontal location that this Event occured at, relative to the `[org.gnome.gdk]` Window. In most cases you will get an integral return; in any case, most usages of this return value will want a whole number of pixels, so cast to `int` as necessary.
      Since:
        4.0.15

    - #### getY

          public double getY()

      Get the vertical location that this Event occured at, relative to the `[org.gnome.gdk]` Window.
      Since:
        4.0.15